summaryrefslogtreecommitdiffstats
path: root/source/n/bluez-hcidump
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/bluez-hcidump')
-rwxr-xr-xsource/n/bluez-hcidump/bluez-hcidump.SlackBuild34
-rw-r--r--source/n/bluez-hcidump/hci.c_for_bluez-4.61.patch21
-rw-r--r--source/n/bluez-hcidump/slack-desc6
3 files changed, 54 insertions, 7 deletions
diff --git a/source/n/bluez-hcidump/bluez-hcidump.SlackBuild b/source/n/bluez-hcidump/bluez-hcidump.SlackBuild
index 0bef3fb99..ac2a8442c 100755
--- a/source/n/bluez-hcidump/bluez-hcidump.SlackBuild
+++ b/source/n/bluez-hcidump/bluez-hcidump.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2006-2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,17 +23,32 @@
PKGNAM=bluez-hcidump
VERSION=${VERSION:-1.42}
-ARCH=${ARCH:-x86_64}
+BUILD=${BUILD:-3}
+
NUMJOBS=${NUMJOBS:-" -j7 "}
-BUILD=${BUILD:-2}
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
CWD=$(pwd)
@@ -55,6 +70,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Patch to build with bluez+>4.61
+zcat $CWD/hci.c_for_bluez-4.61.patch.gz | patch -p1 || exit 1
+
# Configure:
CFLAGS="$SLKCFLAGS" \
./configure \
@@ -98,9 +116,17 @@ fi
# Add a documentation directory:
mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
cp -a \
- AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ AUTHORS COPYING* INSTALL NEWS README* \
$PKG/usr/doc/${PKGNAM}-$VERSION
+# If there's a ChangeLog, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r ChangeLog ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION)
+ cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
+ touch -r ChangeLog $DOCSDIR/ChangeLog
+fi
+
mkdir -p $PKG/install
#zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/source/n/bluez-hcidump/hci.c_for_bluez-4.61.patch b/source/n/bluez-hcidump/hci.c_for_bluez-4.61.patch
new file mode 100644
index 000000000..bcd6b4a0a
--- /dev/null
+++ b/source/n/bluez-hcidump/hci.c_for_bluez-4.61.patch
@@ -0,0 +1,21 @@
+diff -Nur bluez-hcidump-1.42.orig//parser/hci.c bluez-hcidump-1.42/parser/hci.c
+--- bluez-hcidump-1.42.orig//parser/hci.c 2008-06-15 07:46:13.000000000 -0500
++++ bluez-hcidump-1.42/parser/hci.c 2010-03-02 23:15:35.171713301 -0600
+@@ -1973,7 +1973,7 @@
+
+ static inline void read_inquiry_transmit_power_level_dump(int level, struct frame *frm)
+ {
+- read_inquiry_transmit_power_level_rp *rp = frm->ptr;
++ read_inq_response_tx_power_level_rp *rp = frm->ptr;
+
+ p_indent(level, frm);
+ printf("status 0x%2.2x level %d\n", rp->status, rp->level);
+@@ -2325,7 +2325,7 @@
+ case OCF_READ_EXT_INQUIRY_RESPONSE:
+ read_ext_inquiry_response_dump(level, frm);
+ return;
+- case OCF_READ_INQUIRY_TRANSMIT_POWER_LEVEL:
++ case OCF_READ_INQ_RESPONSE_TX_POWER_LEVEL:
+ read_inquiry_transmit_power_level_dump(level, frm);
+ return;
+ case OCF_READ_DEFAULT_ERROR_DATA_REPORTING:
diff --git a/source/n/bluez-hcidump/slack-desc b/source/n/bluez-hcidump/slack-desc
index e4c8205c2..591118373 100644
--- a/source/n/bluez-hcidump/slack-desc
+++ b/source/n/bluez-hcidump/slack-desc
@@ -6,10 +6,10 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-bluez-hcidump: bluez-hcidump (Linux Bluetooth(TM) analyzer)
+bluez-hcidump: bluez-hcidump (Bluetooth analyzer)
bluez-hcidump:
-bluez-hcidump: The bluez-hcidump package contains a network analyzer for
-bluez-hcidump: Bluetooth(TM). The hcidump utility reads raw HCI data coming from and
+bluez-hcidump: The bluez-hcidump package contains a network analyzer for Bluetooth.
+bluez-hcidump: This utility (hcidump) utility reads raw HCI data coming from and
bluez-hcidump: going to a Bluetooth device and prints commands, events and data.
bluez-hcidump:
bluez-hcidump: For more info, visit: http://www.bluez.org